RIZIN(1)

NAME
rizin - Advanced commandline hexadecimal editor, disassembler and debugger

SYNOPSIS
rizin [-a arch] [-b bits] [-B baddr] [-c cmd] [-e k=v] [-i file] [-I prefile] [-k kernel] [-m addr] [-p project] [-P patch] [-r rz-run] [-R rz-run-directives] [-s addr] [-0AdDwntLquvVxX] -|--|=|file

DESCRIPTION
rizin is a commandline hexadecimal editor.

This manpage is not updated yet. Feel free to contribute.

The options are:

- - Open rizin on an empty file

-   Equivalent of 'rizin malloc://512'

-0  Print \x00 after initialization and after every command executed

-2  Close stderr before starting RzCore

-a arch
    force asm.arch (x86, ppc, arm, mips, bf, java, ...)

-A  run 'aaa' command before prompt or patch to analyze all referenced code. Use -AA to run aaaa

-b bits
    force asm.bits (16, 32, 64)

-B baddr
    Specify the base address to be used when loading a new binary. See 'e?bin.baddr'

-c cmd
    Execute the given command before giving prompt

-d  Start in debugger mode

-D dbg.backend
    Enable debug mode. Set cfg.debug=true

-e k=v
    Set configuration eval variable key=value. For example -e scr.color=false

-f  Blocksize = file size

-i file
    Run script file. After the file is loaded

-I file
    Run script file. Before the file is loaded

-k kernel
    Select kernel (asm.os) for syscall resolution

-l plugfile
    Load given plugin file

-L  List supported IO plugins.

-m addr
    map file at given address

-M  Disable demangling

-n  Do not perform any analysis (r_bin). Just load the raw file

-nn Only load the rbin structures (elf, mach0, ...)

-N  Do not load user settings/projects from ~/.rizinrc, ~/.config/rizin/rizinrc and the scripts inside .../rizinrc.d/ directory.

-NN Same as -N but also disables the automatic loading of plugins on startup time

-q  Quiet mode (no prompt) and quit after running the commands specified with -i or -c

-qq Quit before showing the prompt. Right after all the -e -c and -i arguments are evaluated.

-Q  Same as q, but exiting without freeing RzCore, this produces leaks at exit time, but saves some precious ms to run the testsuite in fast mode.

-p prj
    Set project file

-r rz-run
    Specify dbg.profile rz-run profile to use when spawning a program for debugging

-R rz-run-directive
    Specify custom rz-run directives without having to create a rz-run profile

-s addr
    Start seeking at this address

-t  Get binary information using a thread

-T  Avoid computing the file hashes

-u  Set bin.filter=false to load rbin info without filtering names

-v  Show version information and exit (Use -qv to get just the version number)

-V  Show rizin library versions

-w  Open in write mode

-h  Show help message

-H  Show files and environment help

-x  Open the file map without executable permissions

-X  Same as -e bin.usextr=false, do not use extract plugins, useful for dyldcache

SHELL
Type '?' for help

VISUAL
To enter visual mode use the 'V' command. Then press '?' for help

DEBUGGER
In rizin the debugger commands are implemented under the 'd' command. Type 'd?' for help

ENVIRONMENT
RZ_DEBUG if defined, show error messages and crash signal RZ_DEBUG_ASSERT=1 set a breakpoint when hitting an assert RZ_MAGICPATH /Users/pancake/.local/share/rizin/share/rizin/4.5.0-git/magic RZ_NOPLUGINS do not load rizin shared plugins RZ_RCFILE ~/.rizinrc (user preferences, batch script) RZ_RDATAHOME /usr/local FILE path to the current working file.

SEE ALSO

rz-test(1), rz-hash(1), rz-find(1), rz-bin(1), rz-diff(1), rz-asm(1), rz-ax(1), rz-gg(1), rz-run(1),

AUTHORS

pancake <pancake@nopcode.org>